## espeakup 0.80

=== Makefile ===
PREFIX = /usr/local
BINDIR = ${PREFIX}/bin
MANDIR = ${PREFIX}/share/man

DEPFLAGS = -MMD
WARNFLAGS = -Wall
CFLAGS += ${DEPFLAGS} ${WARNFLAGS}

LDLIBS = -lespeak -lpthread

INSTALL = install
BINMODE = 0755
MANMODE = 0644
CHANGELOG_LIMIT?= --after="1 year ago"

SRCS = cli.c \
	espeak.c \
	espeakup.c  \
	queue.c \
	signal.c \
	softsynth.c \
	stringhandling.c

OBJS = ${SRCS:.c=.o}

all: espeakup

changelog:
	git log ${CHANGELOG_LIMIT} --format=full > ChangeLog

install: espeakup
	${INSTALL} -d ${DESTDIR}${BINDIR}
	${INSTALL} -m ${BINMODE} $< ${DESTDIR}${BINDIR}
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} espeakup.8 ${DESTDIR}${MANDIR}/man8

espeakup: ${OBJS}

clean:
	${RM} *.d *.o

distclean: clean
	${RM} espeakup

-include ${SRCS:.c=.d}

## espeakup 0.71

=== debian/changelog ===
espeakup (1:0.71-26ubuntu1) xenial; urgency=medium

  * Cherry-pick from Debian git repository (Samuel Thibault):
    - Drop libnss-files-udeb dependency (Closes: #819684)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2016 16:51:26 +0100

espeakup (1:0.71-26) unstable; urgency=medium

  * espeakup-udeb.start: On multiboard systems, request the user to press
    enter at the right time only, not a number.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Feb 2016 01:34:44 +0100

espeakup (1:0.71-25) unstable; urgency=high

  * control: Bump Standards-Version to 3.9.7 (no change).
  * espeakup.init: Fix detection when the number of the card is given instead of
    the id.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Feb 2016 10:44:50 +0100

espeakup (1:0.71-24) unstable; urgency=medium

  * speakup-udeb: Use a dumb menu to deal with multiple sound cards, and make
    sure the installed system uses it.
  * speakup.init: When the card is specified, wait for it to become available
    before starting the daemon.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 18 Jan 2016 00:29:22 +0100

espeakup (1:0.71-23) unstable; urgency=medium

  * patches/voice: Fix looking up voices by language name.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Jan 2016 01:13:40 +0100

espeakup (1:0.71-22) unstable; urgency=medium

  * Re-upload with 1:0.71-19 changes from Jessie included.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2016 17:55:08 +0100

espeakup (1:0.71-21) unstable; urgency=medium

  * espeakup-udeb.restart:
    - Make looking up available languages independent from file hierarchy, thus
    fixing all language (but de, en, fr, pt which were still working)...  This
    also allows dropping special-casing nb into no.
    - Use portuguese for galician, since they are so close, and portuguese
    will always be better than english anyway.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2015 15:22:01 +0100

espeakup (1:0.71-20) unstable; urgency=medium

  * espeakup-udeb.sh: Preseed installing MATE desktop by default when espeakup
    is used in d-i.
  * compat: Bump to 9.
  * rules: Clear.
  * patches: Switch to 3.0 patch system.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Dec 2015 14:20:21 +0100

espeakup (1:0.71-19) unstable; urgency=medium

  * Enable STARTTIME to work around racy daemon start test.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Jan 2015 21:14:54 +0100

espeakup (1:0.71-18) unstable; urgency=medium

  * synth.c: Fix spelling capital keystrokes (Closes: #770753)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Nov 2014 21:07:37 +0100

espeakup (1:0.71-17) unstable; urgency=medium

  * synth.c: Fix spelling keystrokes and char-by-char echo
    (Closes: #767595)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Nov 2014 16:45:00 +0100

espeakup (1:0.71-16) unstable; urgency=medium

  * po/el.po: Greek translation (Closes: #685552)
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Oct 2014 16:59:03 +0200

espeakup (1:0.71-15) unstable; urgency=medium

  [ Samuel Thibault ]
  * espeakup.default: Fix documented path to voices.
  * rules: Set the espeak:Version subst variable.
  * control: Add a version to the espeakup-udeb dependency on espeak-data-udeb.

  [ Paul Gevers ]
  * Add d/watch file to track upstream
  * Korean translation by Changwoo Ryu (Closes: #745549)
  * Acknowledge NMU (Closes: #753109)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Jul 2014 11:53:11 +0200

espeakup (1:0.71-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace alsa-base-udeb dependency with libkmod2-udeb (>= 17-1~)
    (Closes: Bug#753109).

 -- Jordi Mallach <jordi@debian.org>  Fri, 27 Jun 2014 08:38:32 +0200

espeakup (1:0.71-14) unstable; urgency=medium

  * Rebuild against latest espeak.  Closes: #740021.
  * control: Use Package-Type instead of XC-Package-Type.
  * Bump Standards-Version to 3.9.5.
  * Redirect espeakup-udeb's stdout to log file too.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2014 22:10:23 -0500

espeakup (1:0.71-13) unstable; urgency=low

  [ Christian Perrier ]
  * Fix Thai and Latvian translations encoding (reported by Jakub Wilk in
    debian-i18n)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Dec 2012 01:05:30 +0100

espeakup (1:0.71-12) unstable; urgency=low

  [ Debconf translations ]
  * Kannada (Mallikarjuna).  Closes: #694410

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Dec 2012 22:59:15 +0100

espeakup (1:0.71-11) unstable; urgency=low

  * softsynth.c: Cherry-pick fix from upstream: pass '\n' to espeak too for e.g.
  proper pause.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Sep 2012 22:19:04 +0200

espeakup (1:0.71-10) unstable; urgency=low

  * espeakup-udeb.restart: Fix voice path according to multiarch switch.
    Closes: #682313

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Jul 2012 21:44:51 +0900

espeakup (1:0.71-9) unstable; urgency=low

  [ Debconf translations ]
  * Welsh (Daffyd Tomos)
  * Basque (Piarres Beobide).  Closes: #671885
  * Thai (Theppitak Karoonboonyanan).  Closes: #672216
  * Traditional Chinese (Vincent Chen).  Closes: #672322
  * Galician (Jorge Barreiro).  Closes: #676993
  * Norwegian Bokmål (Hans Fredrik Nordhaug).  Closes: #678344

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Jun 2012 14:21:27 -0300

espeakup (1:0.71-8) unstable; urgency=low

  [ Debconf translations ]
  * Latvian (Rūdolfs Mazurs).  Closes: #674696
  * Lithuanian (Rimas Kudelis).  Closes: #675627

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jun 2012 12:27:38 +0200

espeakup (1:0.71-7) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Debconf translations ]
  * Gujarati (Kartik Mistry).  Closes: #662102
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #662177


=== debian/control ===
Source: espeakup
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9), libespeak-dev (>= 1.46.02), libsonic-dev (>= 0.1.17-1.1), portaudio19-dev (>= 19+svn20111121), libjack-dev (>= 1:0.121.0+svn4538-2), libasound2-dev, po-debconf
Standards-Version: 3.9.7
Vcs-Git: git://git.debian.org/git/pkg-a11y/espeakup
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/espeakup.git
Homepage: http://www.github.com/williamh/espeakup

Package: espeakup
Architecture: any
Multi-Arch: foreign
Depends: espeak, ${shlibs:Depends}, ${misc:Depends}
Description: Connector between speakup kernel modules and espeak
 Espeakup is a daemon that connects speakup kernel modules to the espeak
 software speech synthesizer through the /dev/softsynth device.

Package: espeakup-udeb
Section: debian-installer
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak-data-udeb (>= ${espeak:Version}~), espeak-data-udeb (<< ${espeak:Version}A), libkmod2-udeb (>= 17-1~) [linux-any], alsa-utils-udeb [linux-any], preseed-common
Description: Configure the speech synthesizer voice
 This is a statically linked version of espeakup, optimized for use on
 installation media.
Package-Type: udeb
XB-Installer-Menu-Item: 1050

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
UDEB_CFLAGS ?= $(CFLAGS) -Os
UDEB_LDLIBS ?= /usr/lib/$(DEB_HOST_MULTIARCH)/libespeak.a /usr/lib/$(DEB_HOST_MULTIARCH)/libsonic.a /usr/lib/$(DEB_HOST_MULTIARCH)/libportaudio.a /usr/lib/$(DEB_HOST_MULTIARCH)/libjack.a -lm -lpthread -lasound -lrt
UDEB_LDFLAGS += -u _Unwind_Resume -u __gcc_personality_v0 -u _Unwind_ForcedUnwind -u _Unwind_GetCFA -u _Unwind_GetBSP -lgcc_s

ESPEAK_VERSION=$(shell dpkg-query -W -f '$${source:Version}' libespeak-dev | cut -d - -f 1)

override_dh_clean:
	dh_clean
	debconf-updatepo
	rm -f espeakup
	rm -fr espeakup-udeb

override_dh_auto_build:
	$(MAKE)

	mkdir espeakup-udeb
	ln *.c *.h espeakup-udeb/
	ln Makefile espeakup-udeb/

	CPPFLAGS="" CFLAGS="$(UDEB_CFLAGS)" $(MAKE) -C espeakup-udeb LDLIBS="$(UDEB_LDLIBS)" LDFLAGS="$(UDEB_LDFLAGS)"

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/espeakup

override_dh_install:
	dh_install
	install -m0644 debian/espeakup-udeb.start debian/espeakup-udeb/lib/debian-installer-startup.d/S38espeakup
	install -m0755 debian/espeakup-udeb.finish-install debian/espeakup-udeb/usr/lib/finish-install.d/06espeakup
	install -m0755 debian/espeakup-udeb.restart debian/espeakup-udeb/usr/lib/espeakup/espeakup.restart

override_dh_installinit:
	dh_installinit -- start 10 S .

override_dh_gencontrol:
	echo 'espeak:Version=$(ESPEAK_VERSION)' >> debian/espeakup-udeb.substvars
	dh_gencontrol

=== debian/watch ===
version=3
# Following the example on https://wiki.debian.org/debian/watch#GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/espeakup-$1\.tar\.gz/ \
  https://github.com/williamh/espeakup/releases .*/v?(\d\S*)\.tar\.gz

## espeakup 0.80

=== debian/changelog ===
espeakup (1:0.80-9) unstable; urgency=medium

  [ Victor Ibragimov ]
  * Add Tajik translation (closes: Bug#890081).

  [ Samuel Thibault ]
  * Fix path to voice definitions.  Fixes language auto-switch in d-i.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 08 Mar 2018 00:40:12 +0100

espeakup (1:0.80-8) unstable; urgency=medium

  * Configure debconf frontend to readline on the installed system for better
    accessibility.
  * When installing with espeakup, remove pulseaudio and set speech dispatcher
    to libao.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Dec 2017 22:51:34 +0100

espeakup (1:0.80-7) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.1 (no changes).
  * po/sq.po: Add Albanian debconf translation.
  * debian/espeakup-udeb.start: Fix case where card 0 does not have an id or
    where cards have non-contiguous indexes.
  * debian/control: Build-dep on debhelper (>= 9.20160709) instead of
    dh-systemd.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 00:20:02 +0100

espeakup (1:0.80-6) unstable; urgency=medium

  [ Samuel Thibaul ]
  * patches/space: Fix spelling space character.
  * patches/unicode: Enable unicode support.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.0.1.
  * patches/empty-default: Make empty voice name select the default voice
    (Closes: Bug#872194).

  [ Valentin Vidic ]
  * Croatian translation of debconf message (Closes: Bug#859323).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Aug 2017 00:53:51 +0200

espeakup (1:0.80-5) unstable; urgency=medium

  * Use canonical anonscm vcs URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jan 2017 03:25:54 +0100

espeakup (1:0.80-3) unstable; urgency=medium

  * espeakup-udeb:
    - Avoid issues with sound board names containing spaces.
    - Fix races with starting espeakup.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Nov 2016 00:30:23 +0100

espeakup (1:0.80-2) unstable; urgency=medium

  Switch to espeak-ng (Closes: #833658)
  * control: Replace libespeak-dev, libportaudio19-dev, libjack-dev with
    libespeak-ng-libespeak-dev and libpcaudio-dev.
  * rules: Define symbol create_pulseaudio_object to create_alsa_object so that
    we don't need to link espeakup-udeb with pulseaudio.
  * control: Make espeakup depend on lsb-base (>= 3.0-6) for
    /lib/lsb/init-functions.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Nov 2016 00:42:41 +0100

espeakup (1:0.80-1) unstable; urgency=medium

  * New upstream release.
    - docs: Remove ToDo.
    - patches/{keystrokes,pidfile,voice,daemon}: Remove, merged upstream.
    - rules: Set PREFIX to /usr.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Aug 2016 23:28:43 +0200

espeakup (1:0.71-28) unstable; urgency=medium

  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/daemon: Replace daemon() call with proper daemonizing code
    (Closes: #775131)
  * espeakup.defaults: Do not export ALSA_CARD variable, this is not accepted by
    systemd (and it exports it already anyway).
  * espeakup.postinst: Drop "export" from defaults file on upgrade accordingly.
  * espeakup.init: Export ALSA_CARD variable. Drop STARTTIME.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Jul 2016 01:21:49 +0200

espeakup (1:0.71-27.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install espeakup.service. (Closes: #796608)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 03 Jul 2016 20:52:49 +0200

espeakup (1:0.71-27) unstable; urgency=high

  [ Samuel Thibault ]
  * Drop libnss-files-udeb dependency (Closes: #819684)
  * espeakup-udeb.postinst: Only preseed installing MATE desktop by default when
    espeakup is really running.

  [ Cyril Brulebois ]
  * Bump urgency to high for the upcoming D-I Stretch Alpha 6 release.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 19 May 2016 21:07:39 +0200

=== debian/control ===
Source: espeakup
Section: admin
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9.20160709), libespeak-ng-libespeak-dev (>= 1.46.02), libsonic-dev (>= 0.1.17-1.1), libpcaudio-dev, libasound2-dev, po-debconf
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/espeakup.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/espeakup.git
Homepage: http://www.github.com/williamh/espeakup

Package: espeakup
Architecture: any
Multi-Arch: foreign
Depends: espeak, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Description: Connector between speakup kernel modules and espeak
 Espeakup is a daemon that connects speakup kernel modules to the espeak
 software speech synthesizer through the /dev/softsynth device.

Package: espeakup-udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak-ng-data-udeb (>= ${espeak-ng:Version}~), espeak-ng-data-udeb (<< ${espeak-ng:Version}A), libkmod2-udeb (>= 17-1~) [linux-any], alsa-utils-udeb [linux-any], preseed-common
Description: Configure the speech synthesizer voice
 This is a statically linked version of espeakup, optimized for use on
 installation media.
Package-Type: udeb
XB-Installer-Menu-Item: 1050

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
UDEB_CFLAGS ?= $(CFLAGS) -Os
UDEB_LDLIBS ?= /usr/lib/$(DEB_HOST_MULTIARCH)/libespeak.a /usr/lib/$(DEB_HOST_MULTIARCH)/libsonic.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpcaudio.a -lm -lpthread -lasound -lrt

UDEB_LDFLAGS += -u _Unwind_Resume -u __gcc_personality_v0 -u _Unwind_ForcedUnwind -u _Unwind_GetCFA -u _Unwind_GetBSP -lgcc_s -Wl,--defsym,create_pulseaudio_object=create_alsa_object

ESPEAK_NG_VERSION=$(shell dpkg-query -W -f '$${source:Version}' libespeak-ng-dev | cut -d - -f 1)

override_dh_clean:
	dh_clean
	debconf-updatepo
	rm -f espeakup
	rm -fr espeakup-udeb

override_dh_auto_build:
	$(MAKE)

	mkdir espeakup-udeb
	ln *.c *.h espeakup-udeb/
	ln Makefile espeakup-udeb/

	CPPFLAGS="" CFLAGS="$(UDEB_CFLAGS)" $(MAKE) -C espeakup-udeb LDLIBS="$(UDEB_LDLIBS)" LDFLAGS="$(UDEB_LDFLAGS)"

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/espeakup PREFIX=/usr

override_dh_install:
	dh_install
	install -m0644 debian/espeakup-udeb.start debian/espeakup-udeb/lib/debian-installer-startup.d/S38espeakup
	install -m0755 debian/espeakup-udeb.finish-install debian/espeakup-udeb/usr/lib/finish-install.d/06espeakup
	install -m0755 debian/espeakup-udeb.restart debian/espeakup-udeb/usr/lib/espeakup/espeakup.restart

override_dh_installinit:
	dh_installinit -- start 10 S .

override_dh_gencontrol:
	echo 'espeak-ng:Version=$(ESPEAK_NG_VERSION)' >> debian/espeakup-udeb.substvars
	dh_gencontrol

## espeakup 0.90

=== meson_options.txt ===
option('systemd', type : 'feature', value : 'auto',
       description :'enable systemd support')
option('man', type : 'feature', value : 'auto',
       description : 'build manpage with ronn')

=== debian/changelog ===
espeakup (1:0.90-18) unstable; urgency=medium

  [ Samuel Thibault ]
  * espeakup-udeb.dirs, rules: Switch to /usr/lib/debian-installer-startup.d.

  [ Remus-Gabriel Chelu ]
  * po/ro.po: Add Romanian debconf templates translation (closes: Bug#1103234)

  [ Samuel Thibault ]
  * Update standards version to 4.6.2, no changes needed.
  * watch: Use version 5 github template.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Dec 2025 14:45:02 +0100

espeakup (1:0.90-17) unstable; urgency=medium

  * control: Also put espeak-ng in Built-Using, to keep its source.
  * espeakup-udeb.start: Fix input at d-i startup.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Feb 2025 01:50:06 +0100

espeakup (1:0.90-16) unstable; urgency=medium

  * espeakup-udeb.start: Fix interaction with debconf (closes: Bug#1085991)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Oct 2024 01:39:15 +0200

espeakup (1:0.90-15) unstable; urgency=medium

  * espeakup-udeb.start: Fix letting g-i boot (closes: Bug#1081950)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Sep 2024 21:05:03 +0200

espeakup (1:0.90-14) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Drop dependency on now-obsolete lsb-base.
  * control: Replace systemd build-dep with systemd-dev (Closes: Bug#1060487)
  * control: Replace pkg-config deps with pkgconf.
  * control: Use Static-Built-Using instead of Built-Using.
  * espeakup-udeb.start: Disable prompts when auto-install/enable is set to
    true.
  * espeakup-udeb.start: Reduce audio card probe timeout to 20s.
  * espeakup-udeb.start: Support preseeding espeakup/card and espeakup/voice.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Sep 2024 23:32:32 +0200

espeakup (1:0.90-13) unstable; urgency=medium

  * espeakup-udeb.start: Log the number and ids of detected audio cards.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Mar 2023 00:09:40 +0100

espeakup (1:0.90-12) unstable; urgency=medium

  * espeakup-udeb.restart: Avoid warning about missing mbrola voice in installer.
  * espeakup-udeb.start: Run espeakup in a loop, to compensate for crashes.
  * espeakup-udeb.restart: Only kill espeakup, let it restart by itself.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Nov 2022 01:13:54 +0100

espeakup (1:0.90-11) unstable; urgency=medium

  * espeakup-udeb.finish-install: Set speakup_soft direct parameter to 1 in the
    installed system for non-english language, to fix the pronunciation of
    symbols and numbers.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:03:36 +0200

espeakup (1:0.90-10) unstable; urgency=medium

  * patches/error: Avoid leaving error uninitialized.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Aug 2022 23:51:25 +0200

espeakup (1:0.90-9) unstable; urgency=medium

  * patches/punct: Fix punctuation levels values.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Aug 2022 23:43:46 +0200

espeakup (1:0.90-8) unstable; urgency=medium

  * debian/control: Use espeak-ng 1.51.
  * debian/espeakup-udeb.restart: Drop old approximations
  * debian/rules update LANG_APPROX accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 18:12:06 +0200

espeakup (1:0.90-7) unstable; urgency=medium

  * patches/flow_control: Throttle on EE_BUFFER_FULL errors.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Mar 2022 13:39:41 +0100

espeakup (1:0.90-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/nice: Protect espeakup from system overloads.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Feb 2022 02:41:59 +0100

espeakup (1:0.90-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * espeakup-udeb.restart: Also install espeak-ng, for speech-dispatcher to be
    able to use mbrola voices.
  * control: Drop espeakup dependency on espeak, I don't think it has ever
    been useful actually, even less so now that we use espeak-ng.
  * watch: Update.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libsonic-dev.
    + espeakup: Drop versioned constraint on lsb-base in Depends.
    + espeakup-udeb: Drop versioned constraint on libkmod2-udeb in Depends.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Oct 2021 00:27:57 +0200

espeakup (1:0.90-4) unstable; urgency=medium

  * espeakup-udeb.restart: Make sure we don't hit en1mrpa / us1mrpa.
  * espeakup-udeb.finish-install: Install the mbrola voice used during
    installation.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Aug 2021 15:52:18 +0200

espeakup (1:0.90-3) unstable; urgency=medium

  * espeakup-udeb.start: Fix typo.
  * espeakup-udeb.restart: Add more languages approximations.
  * rules: Check whether we still want the approximations.
  * espeakup-udeb.restart: Add support for mbrola voices.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Aug 2021 13:46:50 +0200

espeakup (1:0.90-2) unstable; urgency=medium

  * control: Make package linux-only.
  * espeakup-udeb.start: Print the ALSA card number when choosing cards.
  * espeakup.postinst: Upgrade to default_voice variable name in
    /etc/default/espeakup (Closes: Bug#992529)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Aug 2021 21:23:55 +0200

espeakup (1:0.90-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/pause: upstreamed.
    - patches/tarball: unused.
    - patches/space: upstreamed.
    - patches/unicode: upstreamed.
    - patches/empty-default: upstreamed.
    - patches/mutex: upstreamed.
    - patches/audio-pause: upstreamed.
    - patches/long-name: upstreamed.
    - patches/alsa-volume: upstreamed.
    - patches/init-espeak-ng-mbrola: upstreamed.
    - patches/range: upstreamed.
    - patches/index: upstreamed.


=== debian/control ===
Source: espeakup
Section: admin
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13),
	meson, pkgconf,
	systemd-dev,
	ronn,
	libespeak-ng-dev (>= 1.51+dfsg-5~),
	libsonic-dev,
	libpcaudio-dev, libasound2-dev,
	po-debconf
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/a11y-team/espeakup.git
Vcs-Browser: https://salsa.debian.org/a11y-team/espeakup
Homepage: http://www.github.com/williamh/espeakup

Package: espeakup
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Connector between speakup kernel modules and espeak
 Espeakup is a daemon that connects speakup kernel modules to the espeak
 software speech synthesizer through the /dev/softsynth device.

Package: espeakup-udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak-ng-data-udeb (>= ${espeak-ng:Version}~), espeak-ng-data-udeb (<< ${espeak-ng:Version}A), libkmod2-udeb [linux-any], alsa-utils-udeb [linux-any], preseed-common
Built-Using: ${built-using}
Static-Built-Using: ${built-using}
Description: Configure the speech synthesizer voice
 This is a statically linked version of espeakup, optimized for use on
 installation media.
Package-Type: udeb
Build-Profiles: <!noudeb>
XB-Installer-Menu-Item: 1050

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Languages needed in d-i (see localechooser's languagelist)
LANG_APPROX = ast gl nn oc se tg
# oc: https://github.com/espeak-ng/espeak-ng/issues/564
#
# bo, dz?
# kab?
# km?
# lo?
# tl? https://github.com/espeak-ng/espeak-ng/issues/581

include /usr/share/dpkg/architecture.mk

ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
  with_udeb = yes
endif

UDEB_CFLAGS ?= $(CFLAGS) -Os
UDEB_LDLIBS ?= /usr/lib/$(DEB_HOST_MULTIARCH)/libespeak-ng.a /usr/lib/$(DEB_HOST_MULTIARCH)/libsonic.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpcaudio.a -lm -lpthread -lasound -lrt

UDEB_LDFLAGS ?= $(LDFLAGS) -u _Unwind_Resume -u __gcc_personality_v0 -u _Unwind_ForcedUnwind -u _Unwind_GetCFA -u _Unwind_GetBSP -lgcc_s -Wl,--defsym,create_pulseaudio_object=create_alsa_object $(UDEB_LDLIBS)

UDEB_BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libespeak-ng-libespeak-dev libsonic-dev libpcaudio-dev)

ESPEAK_NG_VERSION=$(shell dpkg-query -W -f '$${source:Version}' libespeak-ng-dev | cut -d - -f 1)

override_dh_clean:
	dh_clean
	debconf-updatepo

override_dh_auto_clean:
	dh_auto_clean -B build-deb
ifeq ($(with_udeb),yes)
	dh_auto_clean -B build-udeb
endif

override_dh_auto_configure:
	dh_auto_configure -B build-deb
ifeq ($(with_udeb),yes)
	CFLAGS="$(UDEB_CFLAGS)" LDFLAGS="$(UDEB_LDFLAGS)" dh_auto_configure -B build-udeb
endif

override_dh_auto_build:
	# Check whether we still want the quirks in espeakup-udeb.restart
	for lang in $(LANG_APPROX) ; do \
	  if grep -r "^language $$lang" /usr/lib/*/espeak-ng-data/lang ; then exit 1 ; fi \
	done

	dh_auto_build -B build-deb
ifeq ($(with_udeb),yes)
	dh_auto_build -B build-udeb
endif

override_dh_auto_install:
	dh_auto_install -B build-deb --destdir=debian/espeakup
ifeq ($(with_udeb),yes)
	dh_auto_install -B build-udeb --destdir=debian/espeakup-udeb
endif

override_dh_install:
	dh_install
ifeq ($(with_udeb),yes)
	install -m0755 debian/espeakup-udeb.start debian/espeakup-udeb/usr/lib/debian-installer-startup.d/S51espeakup
	install -m0755 debian/espeakup-udeb.finish-install debian/espeakup-udeb/usr/lib/finish-install.d/06espeakup
	install -m0755 debian/espeakup-udeb.restart debian/espeakup-udeb/usr/lib/espeakup/espeakup.restart
endif

override_dh_installinit:
	dh_installinit -- start 10 S .

override_dh_gencontrol:
ifeq ($(with_udeb),yes)
	echo 'espeak-ng:Version=$(ESPEAK_NG_VERSION)' >> debian/espeakup-udeb.substvars
	echo 'built-using=$(UDEB_BUILT_USING)' >> debian/espeakup-udeb.substvars
endif
	dh_gencontrol

override_dh_installsystemd:
	dh_installsystemd --restart-after-upgrade

=== debian/watch ===
version: 5

Template: Github
Owner: linux-speakup
Project: espeakup

## espeakup 0.90-6+11.0trisquel0

=== debian/changelog ===
espeakup (1:0.90-6+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 14 Dec 2022 18:04:55 +0000

=== debian/control ===
Source: espeakup
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13),
	meson, pkg-config,
	systemd,
	ronn,
	libespeak-ng-dev,
	libsonic-dev,
	libpcaudio-dev, libasound2-dev,
	po-debconf
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/a11y-team/espeakup.git
Vcs-Browser: https://salsa.debian.org/a11y-team/espeakup
Homepage: http://www.github.com/williamh/espeakup

Package: espeakup
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Connector between speakup kernel modules and espeak
 Espeakup is a daemon that connects speakup kernel modules to the espeak
 software speech synthesizer through the /dev/softsynth device.

Package: espeakup-udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak-ng-data-udeb (>= ${espeak-ng:Version}~), espeak-ng-data-udeb (<< ${espeak-ng:Version}A), libkmod2-udeb [linux-any], alsa-utils-udeb [linux-any], preseed-common
Built-Using: ${built-using}
Description: Configure the speech synthesizer voice
 This is a statically linked version of espeakup, optimized for use on
 installation media.
Package-Type: udeb
Build-Profiles: <!noudeb>
XB-Installer-Menu-Item: 1050

## espeakup 0.90-13build2trisquel0

=== debian/changelog ===
espeakup (1:0.90-13build2trisquel0) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 15 Oct 2024 08:57:29 +0000

espeakup (1:0.90-13build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:13 +1100

espeakup (1:0.90-13build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:34:59 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	meson, pkg-config,
 	systemd,
 	ronn,
-	libespeak-ng-dev,
+	libespeak-ng-dev (>= 1.51+dfsg-5~),
 	libsonic-dev,
 	libpcaudio-dev, libasound2-dev,
 	po-debconf
